Index: code/branches/cpp11_v2/cmake/CompilerConfigGCC.cmake
===================================================================
--- code/branches/cpp11_v2/cmake/CompilerConfigGCC.cmake	(revision 10732)
+++ code/branches/cpp11_v2/cmake/CompilerConfigGCC.cmake	(revision 10733)
@@ -64,4 +64,8 @@
 ADD_COMPILER_FLAGS("-Os"                   MinSizeRel     CACHE)
 
+# Introducing c++11
+# Note: there is also 'std=gnu++11', but that might not be portable to windows
+ADD_COMPILER_FLAGS("-std=c++0x" CACHE)
+
 # CMake doesn't seem to set the PIC flags right on certain 64 bit systems
 IF(NOT MINGW AND ${CMAKE_SYSTEM_PROCESSOR} STREQUAL "x86_64")
Index: code/branches/cpp11_v2/src/external/ois/linux/LinuxJoyStickEvents.cpp
===================================================================
--- code/branches/cpp11_v2/src/external/ois/linux/LinuxJoyStickEvents.cpp	(revision 10732)
+++ code/branches/cpp11_v2/src/external/ois/linux/LinuxJoyStickEvents.cpp	(revision 10733)
@@ -34,5 +34,5 @@
 #include <cassert>	
 #include <linux/input.h>
-
+#include <unistd.h>
 
 #include <sstream>
Index: code/branches/cpp11_v2/src/libraries/core/config/ConfigFile.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/config/ConfigFile.cc	(revision 10732)
+++ code/branches/cpp11_v2/src/libraries/core/config/ConfigFile.cc	(revision 10733)
@@ -35,4 +35,7 @@
 
 #include <boost/filesystem.hpp>
+
+#include <iterator>
+#include <algorithm>
 
 #include "util/Convert.h"
@@ -93,5 +96,7 @@
                         try
                         {
-                            boost::filesystem::copy_file(defaultFilepath, filepath);
+                            std::ifstream input(defaultFilepath.string().c_str(), std::ifstream::in | std::ifstream::binary);
+                            std::ofstream output(filepath.string().c_str(), std::ofstream::out | std::ofstream::binary);
+                            copy(std::istreambuf_iterator<char>(input), std::istreambuf_iterator<char>(), std::ostream_iterator<char>(output));
                             orxout(internal_info, context::config) << "Copied " << this->filename_ << " from the default config folder." << endl;
                         }
Index: code/branches/cpp11_v2/src/libraries/core/object/ObjectListBase.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/object/ObjectListBase.h	(revision 10732)
+++ code/branches/cpp11_v2/src/libraries/core/object/ObjectListBase.h	(revision 10733)
@@ -93,4 +93,9 @@
             }
 
+            operator T*()
+            {
+                return object_;
+            }
+
             T* object_;              //!< The object
     };
Index: code/branches/cpp11_v2/src/libraries/tools/BulletDebugDrawer.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/tools/BulletDebugDrawer.h	(revision 10732)
+++ code/branches/cpp11_v2/src/libraries/tools/BulletDebugDrawer.h	(revision 10733)
@@ -13,4 +13,6 @@
 #include <btBulletCollisionCommon.h>
 #include <OgreFrameListener.h>
+#include <OgreVector3.h>
+#include <OgreColourValue.h>
 
 namespace orxonox
Index: code/branches/cpp11_v2/src/libraries/tools/OgreBulletUtils.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/tools/OgreBulletUtils.h	(revision 10732)
+++ code/branches/cpp11_v2/src/libraries/tools/OgreBulletUtils.h	(revision 10733)
@@ -10,4 +10,9 @@
 
 #include "tools/ToolsPrereqs.h"
+#include <OgreVector3.h>
+#include <OgreQuaternion.h>
+#include <OgreColourValue.h>
+#include <OgreMatrix3.h>
+#include <OgreMatrix4.h>
 
 namespace orxonox
@@ -42,5 +47,5 @@
     inline Ogre::Matrix3 matrix3(const btMatrix3x3& matrix)
     {
-        return Matrix3(
+        return Ogre::Matrix3(
                 matrix[0][0], matrix[0][1], matrix[0][2],
                 matrix[1][0], matrix[1][1], matrix[1][2],
Index: code/branches/cpp11_v2/src/libraries/util/SmallObjectAllocator.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/util/SmallObjectAllocator.h	(revision 10732)
+++ code/branches/cpp11_v2/src/libraries/util/SmallObjectAllocator.h	(revision 10733)
@@ -77,4 +77,5 @@
 #include "UtilPrereqs.h"
 #include <vector>
+#include <cstdio>
 
 namespace orxonox
Index: code/branches/cpp11_v2/src/modules/invader/Invader.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/invader/Invader.cc	(revision 10732)
+++ code/branches/cpp11_v2/src/modules/invader/Invader.cc	(revision 10733)
@@ -129,4 +129,9 @@
     }
 
+    void Invader::setCenterpoint(InvaderCenterPoint* center)
+    {
+        this->center_ = center;
+    }
+
     void Invader::costLife()
     {
Index: code/branches/cpp11_v2/src/modules/invader/Invader.h
===================================================================
--- code/branches/cpp11_v2/src/modules/invader/Invader.h	(revision 10732)
+++ code/branches/cpp11_v2/src/modules/invader/Invader.h	(revision 10733)
@@ -39,7 +39,4 @@
 
 #include "gametypes/Deathmatch.h"
-
-#include "InvaderCenterPoint.h"
-
 #include "tools/Timer.h"
 
@@ -58,6 +55,5 @@
             void spawnEnemy();
 
-            void setCenterpoint(InvaderCenterPoint* center)
-            { this->center_ = center; }
+            void setCenterpoint(InvaderCenterPoint* center);
 
             int getLives(){return this->lives;}
Index: code/branches/cpp11_v2/src/modules/invader/InvaderEnemy.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/invader/InvaderEnemy.cc	(revision 10732)
+++ code/branches/cpp11_v2/src/modules/invader/InvaderEnemy.cc	(revision 10733)
@@ -32,6 +32,8 @@
 */
 
-#include "invader/InvaderPrereqs.h"
 #include "InvaderEnemy.h"
+
+#include "core/CoreIncludes.h"
+#include "Invader.h"
 #include "InvaderShip.h"
 
Index: code/branches/cpp11_v2/src/modules/invader/InvaderEnemy.h
===================================================================
--- code/branches/cpp11_v2/src/modules/invader/InvaderEnemy.h	(revision 10732)
+++ code/branches/cpp11_v2/src/modules/invader/InvaderEnemy.h	(revision 10733)
@@ -37,5 +37,5 @@
 #include "invader/InvaderPrereqs.h"
 
-#include "worldentities/pawns/SpaceShip.h"
+#include "worldentities/pawns/Pawn.h"
 
 namespace orxonox
Index: code/branches/cpp11_v2/src/modules/invader/InvaderEnemyShooter.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/invader/InvaderEnemyShooter.cc	(revision 10732)
+++ code/branches/cpp11_v2/src/modules/invader/InvaderEnemyShooter.cc	(revision 10733)
@@ -32,7 +32,10 @@
 */
 
-#include "invader/InvaderPrereqs.h"
 #include "InvaderEnemyShooter.h"
-// #include "worldentities/pawns/SpaceShip.h"
+
+#include "core/CoreIncludes.h"
+#include "core/command/Executor.h"
+#include "Invader.h"
+#include "InvaderShip.h"
 
 namespace orxonox
Index: code/branches/cpp11_v2/src/modules/invader/InvaderHUDinfo.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/invader/InvaderHUDinfo.cc	(revision 10732)
+++ code/branches/cpp11_v2/src/modules/invader/InvaderHUDinfo.cc	(revision 10733)
@@ -30,5 +30,5 @@
 #include "core/XMLPort.h"
 #include "util/Convert.h"
-// #include "Invader.h"
+#include "Invader.h"
 
 namespace orxonox
Index: code/branches/cpp11_v2/src/modules/invader/InvaderShip.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/invader/InvaderShip.cc	(revision 10732)
+++ code/branches/cpp11_v2/src/modules/invader/InvaderShip.cc	(revision 10733)
@@ -37,4 +37,7 @@
 #include "core/XMLPort.h"
 #include "Invader.h"
+#include "InvaderEnemy.h"
+#include "graphics/Camera.h"
+#include "weapons/projectiles/Projectile.h"
 
 namespace orxonox
@@ -139,4 +142,10 @@
         isFireing = bBoost;
     }
+    void InvaderShip::rotateRoll(const Vector2& value)
+    {
+        if (getGame())
+            if (getGame()->bEndGame)
+                getGame()->end();
+    }
     inline bool InvaderShip::collidesAgainst(WorldEntity* otherObject, btManifoldPoint& contactPoint)
     {
Index: code/branches/cpp11_v2/src/modules/invader/InvaderShip.h
===================================================================
--- code/branches/cpp11_v2/src/modules/invader/InvaderShip.h	(revision 10732)
+++ code/branches/cpp11_v2/src/modules/invader/InvaderShip.h	(revision 10733)
@@ -37,7 +37,6 @@
 #include "invader/InvaderPrereqs.h"
 
+#include "weapons/WeaponsPrereqs.h"
 #include "worldentities/pawns/SpaceShip.h"
-#include "graphics/Camera.h"
-#include "weapons/projectiles/Projectile.h"
 
 namespace orxonox
@@ -61,5 +60,5 @@
             virtual void rotatePitch(const Vector2& value){};
             //return to main menu if game has ended.
-            virtual void rotateRoll(const Vector2& value){if (getGame()) if (getGame()->bEndGame) getGame()->end();};
+            virtual void rotateRoll(const Vector2& value);
 
             virtual void updateLevel();
Index: code/branches/cpp11_v2/src/modules/invader/InvaderWeapon.h
===================================================================
--- code/branches/cpp11_v2/src/modules/invader/InvaderWeapon.h	(revision 10732)
+++ code/branches/cpp11_v2/src/modules/invader/InvaderWeapon.h	(revision 10733)
@@ -35,8 +35,8 @@
 #define _InvaderWeapon_H__
 
+#include "invader/InvaderPrereqs.h"
+
+#include "weapons/WeaponsPrereqs.h"
 #include "weapons/weaponmodes/HsW01.h"
-#include "weapons/WeaponsPrereqs.h"
-
-#include "tools/Timer.h"
 
 namespace orxonox
Index: code/branches/cpp11_v2/src/modules/invader/InvaderWeaponEnemy.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/invader/InvaderWeaponEnemy.cc	(revision 10732)
+++ code/branches/cpp11_v2/src/modules/invader/InvaderWeaponEnemy.cc	(revision 10733)
@@ -34,4 +34,7 @@
 #include "InvaderWeaponEnemy.h"
 
+#include "core/CoreIncludes.h"
+#include "weapons/projectiles/Projectile.h"
+
 namespace orxonox
 {
Index: code/branches/cpp11_v2/src/modules/invader/InvaderWeaponEnemy.h
===================================================================
--- code/branches/cpp11_v2/src/modules/invader/InvaderWeaponEnemy.h	(revision 10732)
+++ code/branches/cpp11_v2/src/modules/invader/InvaderWeaponEnemy.h	(revision 10733)
@@ -35,7 +35,7 @@
 #define _InvaderWeaponEnemy_H__
 
-// #include "weapons/weaponmodes/HsW01.h"
-// #include "weapons/WeaponsPrereqs.h"
-#include "invader/InvaderWeapon.h"
+#include "invader/InvaderPrereqs.h"
+
+#include "InvaderWeapon.h"
 #include "tools/Timer.h"
 
Index: code/branches/cpp11_v2/src/modules/jump/Jump.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/jump/Jump.cc	(revision 10732)
+++ code/branches/cpp11_v2/src/modules/jump/Jump.cc	(revision 10733)
@@ -34,9 +34,5 @@
 #include "Jump.h"
 #include "core/CoreIncludes.h"
-#include "core/EventIncludes.h"
-#include "core/command/Executor.h"
-#include "core/config/ConfigValueIncludes.h"
-#include "gamestates/GSLevel.h"
-#include "chat/ChatManager.h"
+
 #include "JumpCenterpoint.h"
 #include "JumpPlatform.h"
@@ -56,5 +52,8 @@
 #include "JumpBoots.h"
 #include "JumpShield.h"
+
+#include "gamestates/GSLevel.h"
 #include "infos/PlayerInfo.h"
+#include "graphics/Camera.h"
 
 namespace orxonox
@@ -70,6 +69,4 @@
         camera = 0;
         setHUDTemplate("JumpHUD");
-
-        setConfigValues();
     }
 
@@ -1300,3 +1297,9 @@
         return figure_->dead_;
     }
+
+    void Jump::setCenterpoint(JumpCenterpoint* center)
+    {
+        center_ = center;
+    }
+
 }
Index: code/branches/cpp11_v2/src/modules/jump/Jump.h
===================================================================
--- code/branches/cpp11_v2/src/modules/jump/Jump.h	(revision 10732)
+++ code/branches/cpp11_v2/src/modules/jump/Jump.h	(revision 10733)
@@ -31,9 +31,5 @@
 
 #include "jump/JumpPrereqs.h"
-#include "tools/Timer.h"
-#include "graphics/Camera.h"
 #include "gametypes/Deathmatch.h"
-#include "JumpCenterpoint.h"
-#include <list>
 
 namespace orxonox
@@ -51,6 +47,5 @@
             float getFuel() const;
             bool getDead(PlayerInfo* player) const;
-            void setCenterpoint(JumpCenterpoint* center)
-                { center_ = center; }
+            void setCenterpoint(JumpCenterpoint* center);
             PlayerInfo* getPlayer() const;
 
Index: code/branches/cpp11_v2/src/modules/jump/JumpBoots.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/jump/JumpBoots.cc	(revision 10732)
+++ code/branches/cpp11_v2/src/modules/jump/JumpBoots.cc	(revision 10733)
@@ -35,12 +35,6 @@
 
 #include "core/CoreIncludes.h"
-#include "core/GameMode.h"
-#include "graphics/Model.h"
-#include "gametypes/Gametype.h"
-
+#include "core/XMLPort.h"
 #include "JumpFigure.h"
-
-#include "sound/WorldSound.h"
-#include "core/XMLPort.h"
 
 namespace orxonox
Index: code/branches/cpp11_v2/src/modules/jump/JumpBoots.h
===================================================================
--- code/branches/cpp11_v2/src/modules/jump/JumpBoots.h	(revision 10732)
+++ code/branches/cpp11_v2/src/modules/jump/JumpBoots.h	(revision 10733)
@@ -30,8 +30,6 @@
 #define _JumpBoots_H__
 
-#include "jump/JumpPrereqs.h"
-#include "util/Math.h"
-#include "worldentities/MovableEntity.h"
-
+#include "JumpPrereqs.h"
+#include "JumpItem.h"
 
 namespace orxonox
Index: code/branches/cpp11_v2/src/modules/jump/JumpCenterpoint.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/jump/JumpCenterpoint.cc	(revision 10732)
+++ code/branches/cpp11_v2/src/modules/jump/JumpCenterpoint.cc	(revision 10733)
@@ -33,4 +33,5 @@
 
 #include "JumpCenterpoint.h"
+
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
Index: code/branches/cpp11_v2/src/modules/jump/JumpCenterpoint.h
===================================================================
--- code/branches/cpp11_v2/src/modules/jump/JumpCenterpoint.h	(revision 10732)
+++ code/branches/cpp11_v2/src/modules/jump/JumpCenterpoint.h	(revision 10733)
@@ -31,9 +31,4 @@
 
 #include "jump/JumpPrereqs.h"
-
-#include <string>
-
-#include <util/Math.h>
-
 #include "worldentities/StaticEntity.h"
 
Index: code/branches/cpp11_v2/src/modules/jump/JumpEnemy.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/jump/JumpEnemy.cc	(revision 10732)
+++ code/branches/cpp11_v2/src/modules/jump/JumpEnemy.cc	(revision 10733)
@@ -35,12 +35,6 @@
 
 #include "core/CoreIncludes.h"
-#include "core/GameMode.h"
-#include "graphics/Model.h"
-#include "gametypes/Gametype.h"
-
+#include "core/XMLPort.h"
 #include "JumpFigure.h"
-
-#include "sound/WorldSound.h"
-#include "core/XMLPort.h"
 
 namespace orxonox
Index: code/branches/cpp11_v2/src/modules/jump/JumpEnemy.h
===================================================================
--- code/branches/cpp11_v2/src/modules/jump/JumpEnemy.h	(revision 10732)
+++ code/branches/cpp11_v2/src/modules/jump/JumpEnemy.h	(revision 10733)
@@ -37,9 +37,5 @@
 
 #include "jump/JumpPrereqs.h"
-
-#include "util/Math.h"
-
 #include "worldentities/MovableEntity.h"
-
 
 namespace orxonox
Index: code/branches/cpp11_v2/src/modules/jump/JumpFigure.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/jump/JumpFigure.cc	(revision 10732)
+++ code/branches/cpp11_v2/src/modules/jump/JumpFigure.cc	(revision 10733)
@@ -36,4 +36,9 @@
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
+#include "graphics/Model.h"
+#include "JumpRocket.h"
+#include "JumpPropeller.h"
+#include "JumpBoots.h"
+#include "JumpShield.h"
 
 namespace orxonox
Index: code/branches/cpp11_v2/src/modules/jump/JumpItem.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/jump/JumpItem.cc	(revision 10732)
+++ code/branches/cpp11_v2/src/modules/jump/JumpItem.cc	(revision 10733)
@@ -35,12 +35,6 @@
 
 #include "core/CoreIncludes.h"
-#include "core/GameMode.h"
-#include "graphics/Model.h"
-#include "gametypes/Gametype.h"
-
+#include "core/XMLPort.h"
 #include "JumpFigure.h"
-
-#include "sound/WorldSound.h"
-#include "core/XMLPort.h"
 
 namespace orxonox
Index: code/branches/cpp11_v2/src/modules/jump/JumpItem.h
===================================================================
--- code/branches/cpp11_v2/src/modules/jump/JumpItem.h	(revision 10732)
+++ code/branches/cpp11_v2/src/modules/jump/JumpItem.h	(revision 10733)
@@ -37,7 +37,4 @@
 
 #include "jump/JumpPrereqs.h"
-
-#include "util/Math.h"
-
 #include "worldentities/MovableEntity.h"
 
Index: code/branches/cpp11_v2/src/modules/jump/JumpPlatform.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/jump/JumpPlatform.cc	(revision 10732)
+++ code/branches/cpp11_v2/src/modules/jump/JumpPlatform.cc	(revision 10733)
@@ -36,11 +36,7 @@
 #include "core/CoreIncludes.h"
 #include "core/GameMode.h"
-#include "graphics/Model.h"
-#include "gametypes/Gametype.h"
-
+#include "core/XMLPort.h"
+#include "sound/WorldSound.h"
 #include "JumpFigure.h"
-
-#include "sound/WorldSound.h"
-#include "core/XMLPort.h"
 
 namespace orxonox
Index: code/branches/cpp11_v2/src/modules/jump/JumpPlatform.h
===================================================================
--- code/branches/cpp11_v2/src/modules/jump/JumpPlatform.h	(revision 10732)
+++ code/branches/cpp11_v2/src/modules/jump/JumpPlatform.h	(revision 10733)
@@ -36,6 +36,5 @@
 #define _JumpPlatform_H__
 
-#include "jump/JumpPrereqs.h"
-#include "util/Math.h"
+#include "JumpPrereqs.h"
 #include "worldentities/MovableEntity.h"
 
Index: code/branches/cpp11_v2/src/modules/jump/JumpPlatformDisappear.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/jump/JumpPlatformDisappear.cc	(revision 10732)
+++ code/branches/cpp11_v2/src/modules/jump/JumpPlatformDisappear.cc	(revision 10733)
@@ -35,12 +35,6 @@
 
 #include "core/CoreIncludes.h"
-#include "core/GameMode.h"
-
-#include "gametypes/Gametype.h"
-
+#include "core/XMLPort.h"
 #include "JumpFigure.h"
-
-#include "sound/WorldSound.h"
-#include "core/XMLPort.h"
 
 namespace orxonox
Index: code/branches/cpp11_v2/src/modules/jump/JumpPlatformDisappear.h
===================================================================
--- code/branches/cpp11_v2/src/modules/jump/JumpPlatformDisappear.h	(revision 10732)
+++ code/branches/cpp11_v2/src/modules/jump/JumpPlatformDisappear.h	(revision 10733)
@@ -36,7 +36,6 @@
 #define _JumpPlatformDisappear_H__
 
-#include "jump/JumpPrereqs.h"
-#include "util/Math.h"
-#include "worldentities/MovableEntity.h"
+#include "JumpPrereqs.h"
+#include "JumpPlatform.h"
 
 namespace orxonox
Index: code/branches/cpp11_v2/src/modules/jump/JumpPlatformFake.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/jump/JumpPlatformFake.cc	(revision 10732)
+++ code/branches/cpp11_v2/src/modules/jump/JumpPlatformFake.cc	(revision 10733)
@@ -33,9 +33,6 @@
 
 #include "JumpPlatformFake.h"
+
 #include "core/CoreIncludes.h"
-#include "core/GameMode.h"
-#include "gametypes/Gametype.h"
-#include "JumpFigure.h"
-#include "sound/WorldSound.h"
 #include "core/XMLPort.h"
 
Index: code/branches/cpp11_v2/src/modules/jump/JumpPlatformFake.h
===================================================================
--- code/branches/cpp11_v2/src/modules/jump/JumpPlatformFake.h	(revision 10732)
+++ code/branches/cpp11_v2/src/modules/jump/JumpPlatformFake.h	(revision 10733)
@@ -36,10 +36,6 @@
 #define _JumpPlatformFake_H__
 
-#include "jump/JumpPrereqs.h"
-
-#include "util/Math.h"
-
-#include "worldentities/MovableEntity.h"
-
+#include "JumpPrereqs.h"
+#include "JumpPlatform.h"
 
 namespace orxonox
Index: code/branches/cpp11_v2/src/modules/jump/JumpPlatformHMove.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/jump/JumpPlatformHMove.cc	(revision 10732)
+++ code/branches/cpp11_v2/src/modules/jump/JumpPlatformHMove.cc	(revision 10733)
@@ -33,10 +33,8 @@
 
 #include "JumpPlatformHMove.h"
+
 #include "core/CoreIncludes.h"
-#include "core/GameMode.h"
-#include "gametypes/Gametype.h"
+#include "core/XMLPort.h"
 #include "JumpFigure.h"
-#include "sound/WorldSound.h"
-#include "core/XMLPort.h"
 
 namespace orxonox
Index: code/branches/cpp11_v2/src/modules/jump/JumpPlatformHMove.h
===================================================================
--- code/branches/cpp11_v2/src/modules/jump/JumpPlatformHMove.h	(revision 10732)
+++ code/branches/cpp11_v2/src/modules/jump/JumpPlatformHMove.h	(revision 10733)
@@ -30,10 +30,6 @@
 #define _JumpPlatformHMove_H__
 
-#include "jump/JumpPrereqs.h"
-
-#include "util/Math.h"
-
-#include "worldentities/MovableEntity.h"
-
+#include "JumpPrereqs.h"
+#include "JumpPlatform.h"
 
 namespace orxonox
Index: code/branches/cpp11_v2/src/modules/jump/JumpPlatformStatic.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/jump/JumpPlatformStatic.cc	(revision 10732)
+++ code/branches/cpp11_v2/src/modules/jump/JumpPlatformStatic.cc	(revision 10733)
@@ -33,10 +33,8 @@
 
 #include "JumpPlatformStatic.h"
+
 #include "core/CoreIncludes.h"
-#include "core/GameMode.h"
-#include "gametypes/Gametype.h"
+#include "core/XMLPort.h"
 #include "JumpFigure.h"
-#include "sound/WorldSound.h"
-#include "core/XMLPort.h"
 
 namespace orxonox
Index: code/branches/cpp11_v2/src/modules/jump/JumpPlatformStatic.h
===================================================================
--- code/branches/cpp11_v2/src/modules/jump/JumpPlatformStatic.h	(revision 10732)
+++ code/branches/cpp11_v2/src/modules/jump/JumpPlatformStatic.h	(revision 10733)
@@ -30,10 +30,6 @@
 #define _JumpPlatformStatic_H__
 
-#include "jump/JumpPrereqs.h"
-
-#include "util/Math.h"
-
-#include "worldentities/MovableEntity.h"
-
+#include "JumpPrereqs.h"
+#include "JumpPlatform.h"
 
 namespace orxonox
Index: code/branches/cpp11_v2/src/modules/jump/JumpPlatformTimer.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/jump/JumpPlatformTimer.cc	(revision 10732)
+++ code/branches/cpp11_v2/src/modules/jump/JumpPlatformTimer.cc	(revision 10733)
@@ -33,10 +33,9 @@
 
 #include "JumpPlatformTimer.h"
+
 #include "core/CoreIncludes.h"
-#include "core/GameMode.h"
-#include "gametypes/Gametype.h"
+#include "core/XMLPort.h"
+#include "graphics/ParticleSpawner.h"
 #include "JumpFigure.h"
-#include "sound/WorldSound.h"
-#include "core/XMLPort.h"
 
 namespace orxonox
Index: code/branches/cpp11_v2/src/modules/jump/JumpPlatformTimer.h
===================================================================
--- code/branches/cpp11_v2/src/modules/jump/JumpPlatformTimer.h	(revision 10732)
+++ code/branches/cpp11_v2/src/modules/jump/JumpPlatformTimer.h	(revision 10733)
@@ -36,11 +36,6 @@
 #define _JumpPlatformTimer_H__
 
-#include "jump/JumpPrereqs.h"
-
-#include "util/Math.h"
-
-#include "worldentities/MovableEntity.h"
-#include "graphics/ParticleSpawner.h"
-
+#include "JumpPrereqs.h"
+#include "JumpPlatform.h"
 
 namespace orxonox
Index: code/branches/cpp11_v2/src/modules/jump/JumpPlatformVMove.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/jump/JumpPlatformVMove.cc	(revision 10732)
+++ code/branches/cpp11_v2/src/modules/jump/JumpPlatformVMove.cc	(revision 10733)
@@ -33,10 +33,8 @@
 
 #include "JumpPlatformVMove.h"
+
 #include "core/CoreIncludes.h"
-#include "core/GameMode.h"
-#include "gametypes/Gametype.h"
+#include "core/XMLPort.h"
 #include "JumpFigure.h"
-#include "sound/WorldSound.h"
-#include "core/XMLPort.h"
 
 namespace orxonox
Index: code/branches/cpp11_v2/src/modules/jump/JumpPlatformVMove.h
===================================================================
--- code/branches/cpp11_v2/src/modules/jump/JumpPlatformVMove.h	(revision 10732)
+++ code/branches/cpp11_v2/src/modules/jump/JumpPlatformVMove.h	(revision 10733)
@@ -30,7 +30,6 @@
 #define _JumpPlatformVMove_H__
 
-#include "jump/JumpPrereqs.h"
-#include "util/Math.h"
-#include "worldentities/MovableEntity.h"
+#include "JumpPrereqs.h"
+#include "JumpPlatform.h"
 
 namespace orxonox
Index: code/branches/cpp11_v2/src/modules/jump/JumpProjectile.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/jump/JumpProjectile.cc	(revision 10732)
+++ code/branches/cpp11_v2/src/modules/jump/JumpProjectile.cc	(revision 10733)
@@ -33,11 +33,9 @@
 
 #include "JumpProjectile.h"
+
 #include "core/CoreIncludes.h"
-#include "core/GameMode.h"
-#include "graphics/Model.h"
-#include "gametypes/Gametype.h"
+#include "core/XMLPort.h"
 #include "JumpFigure.h"
-#include "sound/WorldSound.h"
-#include "core/XMLPort.h"
+#include "JumpEnemy.h"
 
 namespace orxonox
Index: code/branches/cpp11_v2/src/modules/jump/JumpPropeller.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/jump/JumpPropeller.cc	(revision 10732)
+++ code/branches/cpp11_v2/src/modules/jump/JumpPropeller.cc	(revision 10733)
@@ -35,12 +35,6 @@
 
 #include "core/CoreIncludes.h"
-#include "core/GameMode.h"
-#include "graphics/Model.h"
-#include "gametypes/Gametype.h"
-
+#include "core/XMLPort.h"
 #include "JumpFigure.h"
-
-#include "sound/WorldSound.h"
-#include "core/XMLPort.h"
 
 namespace orxonox
Index: code/branches/cpp11_v2/src/modules/jump/JumpPropeller.h
===================================================================
--- code/branches/cpp11_v2/src/modules/jump/JumpPropeller.h	(revision 10732)
+++ code/branches/cpp11_v2/src/modules/jump/JumpPropeller.h	(revision 10733)
@@ -30,10 +30,6 @@
 #define _JumpPropeller_H__
 
-#include "jump/JumpPrereqs.h"
-
-#include "util/Math.h"
-
-#include "worldentities/MovableEntity.h"
-
+#include "JumpPrereqs.h"
+#include "JumpItem.h"
 
 namespace orxonox
Index: code/branches/cpp11_v2/src/modules/jump/JumpRocket.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/jump/JumpRocket.cc	(revision 10732)
+++ code/branches/cpp11_v2/src/modules/jump/JumpRocket.cc	(revision 10733)
@@ -33,11 +33,8 @@
 
 #include "JumpRocket.h"
+
 #include "core/CoreIncludes.h"
-#include "core/GameMode.h"
-#include "graphics/Model.h"
-#include "gametypes/Gametype.h"
+#include "core/XMLPort.h"
 #include "JumpFigure.h"
-#include "sound/WorldSound.h"
-#include "core/XMLPort.h"
 
 namespace orxonox
Index: code/branches/cpp11_v2/src/modules/jump/JumpRocket.h
===================================================================
--- code/branches/cpp11_v2/src/modules/jump/JumpRocket.h	(revision 10732)
+++ code/branches/cpp11_v2/src/modules/jump/JumpRocket.h	(revision 10733)
@@ -30,7 +30,6 @@
 #define _JumpRocket_H__
 
-#include "jump/JumpPrereqs.h"
-#include "util/Math.h"
-#include "worldentities/MovableEntity.h"
+#include "JumpPrereqs.h"
+#include "JumpItem.h"
 
 namespace orxonox
Index: code/branches/cpp11_v2/src/modules/jump/JumpScore.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/jump/JumpScore.cc	(revision 10732)
+++ code/branches/cpp11_v2/src/modules/jump/JumpScore.cc	(revision 10733)
@@ -33,4 +33,5 @@
 
 #include "JumpScore.h"
+
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
@@ -38,5 +39,4 @@
 #include "infos/PlayerInfo.h"
 #include "Jump.h"
-#include "sound/WorldSound.h"
 
 namespace orxonox
Index: code/branches/cpp11_v2/src/modules/jump/JumpShield.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/jump/JumpShield.cc	(revision 10732)
+++ code/branches/cpp11_v2/src/modules/jump/JumpShield.cc	(revision 10733)
@@ -35,12 +35,6 @@
 
 #include "core/CoreIncludes.h"
-#include "core/GameMode.h"
-#include "graphics/Model.h"
-#include "gametypes/Gametype.h"
-
+#include "core/XMLPort.h"
 #include "JumpFigure.h"
-
-#include "sound/WorldSound.h"
-#include "core/XMLPort.h"
 
 namespace orxonox
Index: code/branches/cpp11_v2/src/modules/jump/JumpShield.h
===================================================================
--- code/branches/cpp11_v2/src/modules/jump/JumpShield.h	(revision 10732)
+++ code/branches/cpp11_v2/src/modules/jump/JumpShield.h	(revision 10733)
@@ -30,10 +30,6 @@
 #define _JumpShield_H__
 
-#include "jump/JumpPrereqs.h"
-
-#include "util/Math.h"
-
-#include "worldentities/MovableEntity.h"
-
+#include "JumpPrereqs.h"
+#include "JumpItem.h"
 
 namespace orxonox
Index: code/branches/cpp11_v2/src/modules/jump/JumpSpring.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/jump/JumpSpring.cc	(revision 10732)
+++ code/branches/cpp11_v2/src/modules/jump/JumpSpring.cc	(revision 10733)
@@ -33,11 +33,8 @@
 
 #include "JumpSpring.h"
+
 #include "core/CoreIncludes.h"
-#include "core/GameMode.h"
-#include "graphics/Model.h"
-#include "gametypes/Gametype.h"
+#include "core/XMLPort.h"
 #include "JumpFigure.h"
-#include "sound/WorldSound.h"
-#include "core/XMLPort.h"
 
 namespace orxonox
Index: code/branches/cpp11_v2/src/modules/jump/JumpSpring.h
===================================================================
--- code/branches/cpp11_v2/src/modules/jump/JumpSpring.h	(revision 10732)
+++ code/branches/cpp11_v2/src/modules/jump/JumpSpring.h	(revision 10733)
@@ -30,10 +30,6 @@
 #define _JumpSpring_H__
 
-#include "jump/JumpPrereqs.h"
-
-#include "util/Math.h"
-
-#include "worldentities/MovableEntity.h"
-
+#include "JumpPrereqs.h"
+#include "JumpItem.h"
 
 namespace orxonox
Index: code/branches/cpp11_v2/src/orxonox/chat/ChatManager.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/chat/ChatManager.cc	(revision 10732)
+++ code/branches/cpp11_v2/src/orxonox/chat/ChatManager.cc	(revision 10733)
@@ -107,6 +107,6 @@
 
         // notify all listeners
-        for (ObjectList<ChatListener>::iterator it = ObjectList<ChatListener>::begin(); it != ObjectList<ChatListener>::end(); ++it)
-            it->incomingChat(text, name);
+        for (ChatListener* listener : ObjectList<ChatListener>())
+            listener->incomingChat(text, name);
     }
 
Index: code/branches/cpp11_v2/src/orxonox/controllers/ArtificialController.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/controllers/ArtificialController.cc	(revision 10732)
+++ code/branches/cpp11_v2/src/orxonox/controllers/ArtificialController.cc	(revision 10733)
@@ -207,6 +207,6 @@
     void ArtificialController::setAllBotLevel(float level)
     {
-        for (ObjectList<ArtificialController>::iterator it = ObjectList<ArtificialController>::begin(); it != ObjectList<ArtificialController>::end(); ++it)
-            it->setBotLevel(level);
+        for (ArtificialController* controller : ObjectList<ArtificialController>())
+            controller->setBotLevel(level);
     }
 
@@ -231,8 +231,8 @@
     int ArtificialController::getFiremode(std::string name)
     {
-        for (std::map< std::string, int >::iterator it = this->weaponModes_.begin(); it != this->weaponModes_.end(); ++it)
-        {
-            if (it->first == name)
-                return it->second;
+        for (auto firemode : this->weaponModes_)
+        {
+            if (firemode.first == name)
+                return firemode.second;
         }
         return -1;
@@ -259,11 +259,11 @@
     {
         WorldEntity* waypoint = NULL;
-        for (ObjectList<WorldEntity>::iterator it = ObjectList<WorldEntity>::begin(); it != ObjectList<WorldEntity>::end(); ++it)
-        {
-            if((*it)->getIdentifier() == ClassByString(name))
+        for (WorldEntity* we : ObjectList<WorldEntity>())
+        {
+            if(we->getIdentifier() == ClassByString(name))
             {
                 ControllableEntity* controllable = this->getControllableEntity();
                 if(!controllable) continue;
-                float actualDistance = ( (*it)->getPosition() - controllable->getPosition() ).length();
+                float actualDistance = ( we->getPosition() - controllable->getPosition() ).length();
                 if(actualDistance > searchDistance || actualDistance < 5.0f) continue;
                     // TODO: PickupSpawner: adjust waypoint accuracy to PickupSpawner's triggerdistance
@@ -271,5 +271,5 @@
                 else
                 {
-                    waypoint = *it;
+                    waypoint = we;
                     break;
                 }
